- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
efl::eina::_ptr_eo_array_iterator< T > Struct Template Reference

## Public Types
typedef _ptr_array_iterator< Eo > | _base_type
typedef _ptr_eo_array_iterator< T > | _self_type
typedef remove_cv< T >::type | value_type
typedef value_type * | pointer
typedef value_type & | reference
Public Types inherited from efl::eina::_ptr_array_iterator< Eo >
typedef Eo | value_type
typedef value_type * | pointer
typedef value_type & | reference
typedef std::ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions
_base_type & | _base ()
_base_type const & | _base () const
| _ptr_eo_array_iterator (_base_type const &base)
| _ptr_eo_array_iterator (void **ptr)
| _ptr_eo_array_iterator (_ptr_eo_array_iterator< value_type > const &other)
_self_type & | operator= (_self_type const &other)
_self_type & | operator++ ()
_self_type | operator++ (int)
_self_type & | operator-- ()
_self_type | operator-- (int)
reference | operator* () const
pointer | operator-> () const
Public Member Functions inherited from efl::eina::_ptr_array_iterator< Eo >
| _ptr_array_iterator (void **ptr)
| _ptr_array_iterator (_ptr_array_iterator< typename remove_cv< value_type >::type > const &other)
_ptr_array_iterator< Eo > & | operator++ ()
_ptr_array_iterator< Eo > | operator++ (int)
_ptr_array_iterator< Eo > & | operator-- ()
_ptr_array_iterator< Eo > | operator-- (int)
reference | operator* () const
pointer | operator-> () const
void ** | native_handle () const